apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'

android {
    compileSdkVersion 27
    defaultConfig {
        applicationId "com.duolebo.bylrobot"
        minSdkVersion 15
        targetSdkVersion 22
        versionCode 1
        versionName "1.0"
    }

    signingConfigs {
        release {
            storeFile file('../duolebo')
            keyAlias 'duolebo'
            storePassword '1qaz2wsx#'
            keyPassword '1qaz2wsx#'
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation 'com.android.support:appcompat-v7:27.1.1'
    implementation 'org.nanohttpd:nanohttpd:2.2.0'
    implementation 'com.yanzhenjie:andserver:1.1.4'
    implementation(name: 'vpnadaptercore-release', ext: 'aar')
//    implementation project(':vpnadaptercore')

    implementation('net.lightbody.bmp:littleproxy:1.1.0-beta-bmp-17') {
        exclude group: 'io.netty'
    }

    implementation 'com.google.jimfs:jimfs:1.1'
    implementation 'org.bouncycastle:bcprov-jdk15on:1.56'
    implementation 'org.bouncycastle:bcpkix-jdk15on:1.56'
    implementation 'org.slf4j:slf4j-log4j12:1.7.21'

    implementation 'com.fasterxml.jackson.core:jackson-core:2.7.6'
    implementation 'com.fasterxml.jackson.core:jackson-databind:2.7.6'
    implementation 'com.fasterxml.jackson.core:jackson-annotations:2.7.6'

}
